A Necromancer is an occupation which amplifies the Black Magic ability of a Wizard. Black Magic is a form of indirect offense magic, used to weaken opponents. The way a Necromancer finishes off an opponent begins by weakening it first then using a summoned zombie to conclude the fight. During party play he poisons monsters decreasing their attack speed, which helps his party. This form of combat is very useful during fights with strong boss-like monsters.
They have basic skills such as summoning corpses to fight off enemies and blowing up corpses around the enemies to give them damage.
To be a Necromancer, your level must be over 40 and you need to collect the Mark of the Scholar, the Mark of Trust, and the Mark of Witchcraft.
Ask about marks.
Return